﻿/* Hero Banner */
.hero-banner {
    padding-top: 5px;
    display: flex;
}

    .hero-banner .banner-left {
        flex: 1 1 auto; /* Hoặc flex: 1; để nó chiếm hết phần còn lại */
        max-width: calc(100% - 33.33333% - 4px); /* Giới hạn chiều rộng nếu cần */
        margin-right: 4px; /* Khoảng cách giữa banner-left và banner-right */
    }

        /* Đảm bảo banner lớn lấp đầy phần chứa nó */
        .hero-banner .banner-left .banner-wrap a,
        .hero-banner .banner-left .banner-wrap img {
            display: block;
            width: 100%;
            /* Thêm height: 100% nếu muốn nó co giãn chiều cao theo container */
        }

    .hero-banner .banner-right {
        flex: 0 0 33.33333%; /* Thiết lập chiều rộng cố định */
        width: 33.33333%;
        display: flex;
        flex-direction: column; /* Xếp chồng các item con theo chiều dọc */
        justify-content: space-between; /* Đẩy các item con ra hai đầu, tạo khoảng cách giữa chúng */
    }

        .hero-banner .banner-right .item {
            /* Hai item banner nhỏ phải chia đều chiều cao */
            height: 50%;
        }

            .hero-banner .banner-right .item:first-child {
                margin-bottom: 4px; /* Khoảng cách giữa hai banner nhỏ */
            }

            /* Đảm bảo ảnh trong banner-right lấp đầy và giữ tỉ lệ */
            .hero-banner .banner-right .item a,
            .hero-banner .banner-right .item img {
                display: block;
                width: 100%;
                height: 100%; /* Rất quan trọng để lấp đầy 50% chiều cao */
                object-fit: cover; /* Giữ tỉ lệ và lấp đầy item */
            }
@media(max-width: 767px){
    .hero-banner {
        flex-direction: column;
    }
    .hero-banner .banner-left,
    .hero-banner .banner-right {
        width: 100%;
        max-width: 100%;
        margin-right: 0;
    }
    .hero-banner .banner-right {
        flex-direction: row;
        margin-top: 4px;
    }
    .hero-banner .banner-right .item {
        height: auto;
        flex: 1; /* Mỗi item chiếm đều không gian ngang */
    }
    .hero-banner .banner-right .item:first-child {
        margin-bottom: 0;
        margin-right: 4px; /* Khoảng cách giữa hai banner nhỏ theo chiều ngang */
    }
}
/* Category Slider */
.full-slider-half {
    margin-left: -10px;
    margin-right: -10px;
}

.full-slider-half .item {
    padding: 10px 5px;
}

.full-slider-half .bamdik {
    right: 8%;
}

.full-slider-half .dandik {
    left: 8%;
}

.full-slider-half .item-card {
    position: relative;
    height: 0;
    padding-bottom: 66.66667%; /* Chiều cao = 2/3 chiều rộng */
    background-size: cover !important; /* Đảm bảo hình nền lấp đầy */
    border-radius: 8px; /* Bo góc nhẹ cho đẹp mắt */
    overflow: hidden;
}

.full-slider-half .item-card .content {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 24px;
    background: linear-gradient( to top, rgba(0, 0, 0, 0.75) 10%, rgba(0, 0, 0, 0.45) 70%, /* Mờ dần */
    rgba(0, 0, 0, 0) 100% /* Trong suốt ở đỉnh */
    );
    color: #fff; /* Chữ màu trắng */
    text-align: left;
}

.full-slider-half .item-card .content h3 {
    font-size: 22px;
    font-weight: 500;
    margin-bottom: 12px;
    color: #fff;
    text-transform: uppercase;
}

/* 4. Định dạng Nút "Xem ngay" */
.full-slider-half .item-card .content .btn-outline {
    display: inline-block;
    padding: 8px 24px;
    border: 2px solid #fff; /* Viền trắng */
    border-radius: 4px;
    color: var(--color1);
    font-weight: 600;
    text-transform: uppercase;
    background-color: transparent;
    background-image: linear-gradient(to right, #fff 50%, #007bff 50%);
    background-size: 200% 100%;
    background-position: 0% 0%;
    transition: all 0.3s ease;
}

    .full-slider-half .item-card .content .btn-outline:hover {
        background-position: -100% 0%;
        color: #fff;
        border-color: #007bff;
    }
/*video-part*/
.video-part{
    /*css khi có hình nền*/
    position:relative;
    padding-top:100px;
    padding-bottom:50px;

}
    .video-part::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.6);
        z-index: 1;
    }
.video-part .section-heading h2 a {
    color: #fff;
    text-decoration: none;
}
.video-content-wrap {
    position: relative;
    z-index: 2;
}
.video-part .item-card {
    position: relative;
}
.video-part .item-card .btn-play {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    opacity: 0.6;
    transition: opacity 0.3s ease;
    cursor: pointer;
    z-index:2;

}
.btn-play a.btn-play-icon i {
    font-size: 32px;
    margin: 0 auto;
    line-height: 50px;
}
.video-part .item-card .btn-play a.btn-play-icon {
    color: #fff;
    height: 50px;
    width: 50px;
    border-radius: 50%;
    border: 2px solid #fff;
    display: flex;
    justify-content: center;
    align-items: center;

}
.video-part .item-card .btn-play:hover {
    opacity: 1;
}
.video-part .item-card .content{
    padding:5px 15px;
}
.video-part .item-card .content a {
    font-size: 18px;
    color: #fff;
    text-transform:none;
}
@media(max-width: 767px) {
    .full-slider-half {
        margin-left: 0px;
        margin-right: 0px;
    }
    /*css hiển thị lại phù hợp trên mobile như chữ nhỏ lại, padding ít lại*/
    .full-slider-half .item-card .content {
        padding: 5px;
    }

    .full-slider-half .item-card .content h3 {
        font-size: 16px;
        margin-bottom:0px;
    }

    .full-slider-half .item-card .content .btn-outline {
        padding: 6px 16px;
        font-size: 14px;
    }
    .video-part .item-card .content a {
        font-size: 16px;
        line-height: 1.4;
    }
}
.no-scrollbar {
    overflow: auto;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

    .no-scrollbar::-webkit-scrollbar {
        display: none;
    }

    .no-scrollbar .banner-category-dropdown {
        -ms-overflow-style: auto;
        scrollbar-width: auto;
    }

        .no-scrollbar .banner-category-dropdown::-webkit-scrollbar {
            display: block;
        }

.mobile-menu-bar i {
    font-size: 24px;
    line-height: 45px;
}

.home-aside-left {
    padding: 25px 0px 60px;
    display: block;
}

.sibar-left {
    position: relative;
    top: 0;
    height: auto;
    bottom: auto;
    z-index: 2;
}

    .sibar-left.sticky {
        position: sticky;
        top: 130px;
        /*height: calc(100vh - 130px);*/
        z-index: 1;
    }

.home-right {
    position: relative;
}

#megamenu_desktop.show {
    visibility: visible;
    opacity: 1;
    top: 80px;
    z-index: 99;
}

#megamenu_desktop .close {
    position: absolute;
    top: 10px;
    right: 10px;
    color: var(--primary);
}

.main-slider {
    width: 100%;
    overflow: hidden;
}

    .main-slider .slick-slide img {
        width: 100%;
    }

        .main-slider .slick-slide img:hover {
            opacity: 1;
        }

    .main-slider .slick-list {
        margin-left: 0px;
        margin-right: 0px;
    }

    .main-slider .bamdik {
        right: 15px;
    }

    .main-slider .dandik {
        left: 15px;
    }

.banner-wrap {
    padding: 0px;
}

.multi-slider {
    margin-left: -10px;
    margin-right: -10px;
}

    .multi-slider .banner-wrap {
        margin: 0px 10px;
    }

.product-group-icon {
    display: flex;
    justify-content: space-around;
}

    .product-group-icon a.item {
        text-align: center;
        margin: 5px;
        padding: 5px;
        color: var(--text-color);
        -moz-border-radius: 5px;
        -webkit-border-radius: 5px;
        border-radius: 5px;
        border: 1px solid var(--border);
    }

        .product-group-icon a.item:hover {
            border-color: var(--gray-chalk);
        }

    .product-group-icon .item img {
        width: 50px;
        height: 50px;
        margin: 0 auto;
        display: block;
        border-radius: 10px;
    }

    .product-group-icon .item .text {
        font-size: 14px;
        text-align: center;
        -webkit-transition-duration: 500ms;
        transition-duration: 500ms;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        line-height: 22px;
        height: 44px;
    }

.tabs-categoies {
    padding: 0px;
}

    .tabs-categoies li {
        padding: 0;
        border: none;
    }

        .tabs-categoies li a {
            padding: 10px 30px;
        }

            .tabs-categoies li a.tab-link {
                position: relative;
            }

            .tabs-categoies li a.active {
                background: var(--chalk);
            }

                .tabs-categoies li a.active::after {
                    content: "";
                    position: absolute;
                    bottom: -8px;
                    left: 50%;
                    transform: translateX(-50%);
                    border-left: 8px solid transparent;
                    border-right: 8px solid transparent;
                    border-top: 8px solid var(--chalk);
                }

.tabs-post-categories {
    padding: 0px;
}

    .tabs-post-categories li {
        padding: 0;
        border: none;
    }

        .tabs-post-categories li a {
            padding: 8px 15px;
        }

            .tabs-post-categories li a.tab-link {
                position: relative;
            }

            .tabs-post-categories li a.active {
                background: var(--primary);
                color: var(--white);
            }

                .tabs-post-categories li a.active::after {
                    content: "";
                    position: absolute;
                    bottom: -8px;
                    left: 50%;
                    transform: translateX(-50%);
                    border-left: 8px solid transparent;
                    border-right: 8px solid transparent;
                    border-top: 8px solid var(--primary);
                }

.blog-slider {
    background: var(--white);
}

    .policy-slider .slick-list, .blog-slider .slick-list {
        margin-left: -15px;
        margin-right: -15px;
    }

.brands-logo .item {
    width: 100%;
    overflow: hidden;
    padding: 10px;
}

    .brands-logo .item img {
        width: 100%;
        -webkit-transition-duration: 500ms;
        transition-duration: 500ms;
    }

.partner-logo {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

    .partner-logo .col-4 {
        padding: 0px 5px;
    }

    .partner-logo .item {
        width: 100%;
        height: 60px;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 5px;
        background: var(--white);
        border: 1px solid var(--border);
        -moz-border-radius: 5px;
        -webkit-border-radius: 5px;
        border-radius: 5px;
        margin-bottom: 10px;
    }

        .partner-logo .item img.lazy {
            max-width: 100%;
            max-height: 100%;
            object-fit: contain;
        }

        .partner-logo .item a {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            height: 100%;
        }

.footer-card a svg {
    width: 32px;
    height: 32px;
}

.partner-slider {
    width: 100%;
}

    .partner-slider .slick-list {
        margin-left: -15px;
        margin-right: -15px;
    }

    .partner-slider .item {
        width: 100%;
        margin: 10px 15px;
    }

        .partner-slider .item a {
            width: 100%;
            padding: 10px;
            background: var(--white);
            border: 1px solid var(--border);
            -moz-border-radius: 5px;
            -webkit-border-radius: 5px;
            border-radius: 5px;
        }

        .partner-slider .item img {
            width: 100%;
        }

.page-title h1 {
    font-size: 22px;
    font-weight: 600;
    color: var(--primary);
    margin-bottom: 10px;
}

#support_mobile {
    position: fixed;
    display: block;
    z-index: -9999;
}

    #support_mobile ul.support-list {
        padding: 10px;
        background: var(--white);
        position: relative;
        -moz-border-radius: 5px 5px 0 0;
        -webkit-border-radius: 5px 5px 0 0;
        border-radius: 5px 5px 0 0;
    }

        #support_mobile ul.support-list::after {
            content: "";
            position: absolute;
            bottom: -8px;
            right: 20px;
            transform: translateX(-50%);
            border-left: 8px solid transparent;
            border-right: 8px solid transparent;
            border-top: 8px solid var(--chalk);
        }

        #support_mobile ul.support-list li {
            display: flex;
            padding: 5px 10px;
            -moz-border-radius: 5px;
            -webkit-border-radius: 5px;
            border-radius: 5px;
        }

            #support_mobile ul.support-list li:hover {
                background: var(--primary);
                color: var(--white);
            }

            #support_mobile ul.support-list li a {
                color: var(--primary);
            }

            #support_mobile ul.support-list li:hover a {
                color: var(--white);
            }

    #support_mobile.open {
        display: block;
        bottom: 50px;
        right: 10px;
        z-index: 9999;
    }

/*Flash sale*/
.flash-sale {
}

    .flash-sale .section-heading {
        flex-direction: column;
    }

.flash-desc {
    font-size: 14px;
    color: #fff;
    margin-top: 5px;
}
/* 1. Định nghĩa hiệu ứng phát sáng (chuyển đổi giữa trắng và đỏ rực) */
@keyframes pulse-glow {
    0% {
        color: #FFFFFF; /* Màu trắng ban đầu */
        text-shadow: 0 0 5px rgba(255, 255, 255, 0.8); /* Bóng trắng nhẹ */
    }

    40% {
        color: #d8bdaa;
        text-shadow: 0 0 15px #808080; /* Bóng đỏ mạnh hơn, tạo cảm giác phát sáng */
    }

    70% {
        color: #ff6a00;
        text-shadow: 0 0 5px rgba(255, 255, 255, 0.8);
    }

    100% {
        color: #fff; /* Quay lại màu vàng */
        text-shadow: 0 0 5px rgba(255, 255, 255, 0.8);
    }
}

.flash-sale .section-heading h2 a {
    color: #FFFFFF;
    text-decoration: none;
    animation: pulse-glow 0.7s ease-in-out infinite;
}

.flash-sale .countdown {
    padding: 5px 10px;
    border-radius: 5px;
    color: var(--white);
    font-weight: 600;
    font-size: 14px;
}

.flash-sale .countdown-time span {
    font-size: 24px;
    font-weight: 700;
    color: var(--white);
}

.flash-sale .countdown-time small {
    font-size: 15px;
    font-weight: 400;
    text-transform: uppercase;
    color: var(--chalk);
}

.flash-sale-slider .slick-slide {
    padding: 0 10px;
}

    .flash-sale-slider .slick-slide > div {
        height: 100%;
    }

.flash-sale-slider {
    margin: 0 -10px;
}

.news {
    padding: 15px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

.news {
}

@media(max-width: 575px) {
    .flash-sale .countdown-time span {
        font-size: 20px;
        padding: 0px;
        line-height: 20px;
        display: flex !important;
        justify-content: flex-start;
    }

    .flash-sale .countdown-time small {
        font-size: 13px;
        font-weight: 400;
        text-transform: uppercase;
    }
}
/*Blog home*/
.blog-big {
    width: 100%;
    overflow: hidden;
}

.blog-big .blog-card {
    border-radius: 8px;
    overflow: hidden;
}
    .blog-big .blog-card .blog-media {
        width: 100%;
        height:auto;
    }
        .blog-big .blog-card .blog-media img {
            width: 100%;
            height: auto;
            object-fit: cover;
            transition: transform 0.3s ease;
        }
        .blog-big .blog-card .blog-media img:hover {
            transform: scale(1.05);
        }
    .blog-big .blog-card .blog-content {
        padding: 10px 0;

    }
.blog-list-medium {
    width: 100%;
    overflow: hidden;
}
    .blog-list-medium .blog-card {
        border-radius: 8px;
        overflow: hidden;
        display: flex;
        flex-direction: row;
    }

    .blog-list-medium .blog-card .blog-media {
        width: 40%;
        /* Gữi tỷ lệ khung hình 3:2*/
        aspect-ratio: 3 / 2;
        overflow: hidden;

    }
        .blog-list-medium .blog-card .blog-media img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            transition: transform 0.3s ease;
        }
        .blog-list-medium .blog-card .blog-media img:hover {
            transform: scale(1.05);
        }
    .blog-list-medium .blog-card .blog-content {
        padding: 0 0 0 15px;
        width: 60%;
    }
.blog-content .meta {
    font-size: 15px;
    color: var(--primary);
    margin-bottom: 8px;
}
.blog-content .blog-title {
    font-size: 20px;
    font-weight: 500;
    line-height:1.7;
    color: var(--text);
    margin-bottom: 10px;
}
@media(max-width: 767px) {
    .blog-content .meta {
        font-size: 13px;
        color: var(--primary);
        margin-bottom: 5px;
    }
    .blog-list-medium .blog-card .blog-media {
        width: 40%;
        aspect-ratio: 3 / 2;
        overflow: hidden;
    }
    .blog-list-medium .blog-content .blog-title {
        font-size: 16px;
        font-weight: 500;
        color: var(--text);
        margin-bottom: 0px;
        line-height:1.3;
    }
}
.gallery-gird {
   padding:20px;
}
.gallery-gird .col {
    padding: 5px;
}
.gallery-item {
    position: relative;
    width: 100%;
    padding-top: 56.25%; /* 9 / 16 = 0.5625 */
    overflow: hidden;
    border-radius: 8px;
    margin:0px;
}

    .gallery-item img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
